// Copyright 2017 Orus.io. All rights reserved.

package control

import (
	"context"

	"bitbucket.org/orus-io/go-xbus/api/control"
)

type logsServer struct {
	*Service
}

func (s logsServer) Purge(
	ctx context.Context, req control.LogsPurgeRequest,
	send func(control.LogsPurgeReply),
) (
	err error,
) {
	send(control.LogsPurgeReply{
		Count: s.o.LogStorage.PurgeBefore(req.Before),
	})
	return nil
}
